org.eclipse.aether.artifact

## Class DefaultArtifactType

- java.lang.Object
- - org.eclipse.aether.artifact.DefaultArtifactType

- All Implemented Interfaces:
    ArtifactType

      public final class DefaultArtifactType
      extends Object
      implements ArtifactType

  A simple artifact type.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultArtifactType(String id)`
    `DefaultArtifactType(String id, String extension, String classifier, Map<String,String> properties)` Creates a new artifact type with the specified properties.
    `DefaultArtifactType(String id, String extension, String classifier, String language)`
    `DefaultArtifactType(String id, String extension, String classifier, String language, boolean constitutesBuildPath, boolean includesDependencies)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassifier()` Gets the classifier to use for artifacts of this type (unless explicitly overridden by the artifact).
    `String` | `getExtension()` Gets the file extension to use for artifacts of this type (unless explicitly overridden by the artifact).
    `String` | `getId()` Gets the identifier of this type, e.g.
    `Map<String,String>` | `getProperties()` Gets the properties to use for artifacts of this type (unless explicitly overridden by the artifact).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultArtifactType

          public DefaultArtifactType(String id)

    - #### DefaultArtifactType

          public DefaultArtifactType(String id,
                             String extension,
                             String classifier,
                             String language)

    - #### DefaultArtifactType

          public DefaultArtifactType(String id,
                             String extension,
                             String classifier,
                             String language,
                             boolean constitutesBuildPath,
                             boolean includesDependencies)

    - #### DefaultArtifactType

          public DefaultArtifactType(String id,
                             String extension,
                             String classifier,
                             Map<String,String> properties)

      Creates a new artifact type with the specified properties.
      Parameters:
        `id` - The identifier of the type, must not be `null` or empty.
        `extension` - The file extension for artifacts of this type, may be `null`.
        `classifier` - The classifier for artifacts of this type, may be `null`.
        `properties` - The properties for artifacts of this type, may be `null`.

  - ### Method Detail

    - #### getId

          public String getId()

      Description copied from interface: `ArtifactType`
      Gets the identifier of this type, e.g. "maven-plugin" or "test-jar".
      Specified by:
        `getId` in interface `ArtifactType`
      Returns:
        The identifier of this type, never `null`.

    - #### getExtension

          public String getExtension()

      Description copied from interface: `ArtifactType`
      Gets the file extension to use for artifacts of this type (unless explicitly overridden by the artifact).
      Specified by:
        `getExtension` in interface `ArtifactType`
      Returns:
        The file extension, never `null`.

    - #### getClassifier

          public String getClassifier()

      Description copied from interface: `ArtifactType`
      Gets the classifier to use for artifacts of this type (unless explicitly overridden by the artifact).
      Specified by:
        `getClassifier` in interface `ArtifactType`
      Returns:
        The classifier or an empty string if none, never `null`.

    - #### getProperties

          public Map<String,String> getProperties()

      Description copied from interface: `ArtifactType`
      Gets the properties to use for artifacts of this type (unless explicitly overridden by the artifact).
      Specified by:
        `getProperties` in interface `ArtifactType`
      Returns:
        The (read-only) properties, never `null`.

Copyright © 2010-2012 The Eclipse Foundation. All Rights Reserved.